Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.jsystems.framework.common.action.swing
Interface IMenuKey

All Known Implementing Classes:
  FCheckBoxMenuItem, FMenu, FMenuItem, FRadioButtonMenuItem

public interface IMenuKey

Interface fuer MenuKeyEvents. Hier wird die Schnittstelle zwischen Control und ActionManager fuer MenuKeyEvents festgelegt.

Version:
  1.0
  Copyright by Jens Homm 2001 - 2004
Author:
  Jens Homm JSYSTEMS

Method Summary
`void` | `addMenuKeyListener(MenuKeyListener listener)` Fuegt dem Control den uebergebenen Listener als MenuKeyListener hinzu.
`String` | `getActionClassForMenuKey()` Gibt den Namen der Actionklasse zurueck, die ausgefuehrt werden soll, wenn ein MenuKeyEvent ausgeloest wurde.
`void` | `removeMenuKeyListener(MenuKeyListener listener)` Entfernt den Listener aus dem Control.
`void` | `setActionClassForMenuKey(String actionClassName)` Setzt den Namen der Actionklasse, die aufgerufen werden soll, wenn ein MenuKeyEvent ausgeloest wurde.

Method Detail

### getActionClassForMenuKey

    public String getActionClassForMenuKey()

  Gibt den Namen der Actionklasse zurueck, die ausgefuehrt werden soll, wenn ein MenuKeyEvent ausgeloest wurde.

  Returns:
    Der Name der Actionklasse fuer MenuKeyEvent.

### setActionClassForMenuKey

    public void setActionClassForMenuKey(String actionClassName)

  Setzt den Namen der Actionklasse, die aufgerufen werden soll, wenn ein MenuKeyEvent ausgeloest wurde.

  Parameters:
    `actionClassName` - Der Name der Actionklasse fuer MenuKeyEvent.

### addMenuKeyListener

    public void addMenuKeyListener(MenuKeyListener listener)

  Fuegt dem Control den uebergebenen Listener als MenuKeyListener hinzu.

  Parameters:
    `listener` - Der hinzuzufuegende MenuKeyListener.

### removeMenuKeyListener

    public void removeMenuKeyListener(MenuKeyListener listener)

  Entfernt den Listener aus dem Control.

  Parameters:
    `listener` - Der zu entfernende Listener.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD